/*******************************************************************************
* Copyright Reticular Systems Inc. 1997    All rights reserved.
* Proprietary Information, Property of Reticular Systems Inc.
* Filename : PriceTable.c
*
* RCS: $Revision: 1.1 $  $Date: 1998/05/06 03:37:37 $  $Author: donohoe $ 
* Created by: Jim Donohoe -- Mon May  4 18:59:20 1998
*******************************************************************************/

#include <jni.h>
#include "PriceTable.h"
#include <string.h>
#include <stdio.h>


typedef struct PriceRecordStruct
{
   char* productName;
   float unitPrice;
} PriceRecord;

static int numberOfItems = 3;

void initializeTable( PriceRecord priceRecord[] );


JNIEXPORT jfloat JNICALL
Java_PriceTable_lookupPrice (JNIEnv * env, jobject obj,
                             jstring productName, jint quantity )
{
   const char *str = (*env)->GetStringUTFChars( env, productName, 0 );
   
   float price = -1.0;
   int i = 0;
   PriceRecord priceRecord[numberOfItems];
   
   initializeTable( priceRecord );

   while( i < numberOfItems &&
          strcmp( str, priceRecord[i].productName ) != 0 )
   {
      i++;
   }
   
   if( i < numberOfItems )
   {
      price = priceRecord[i].unitPrice;
   }
   else
   {
      printf("ERROR PriceTable.c Product name %s not found in table.\n", str );
   }
   
   (*env)->ReleaseStringUTFChars( env, productName, str );

   return price;
}


void
initializeTable( PriceRecord priceRecord[] )
{
   priceRecord[0].productName = "Milk";
   priceRecord[0].unitPrice = 2.19;

   priceRecord[1].productName = "Bread";
   priceRecord[1].unitPrice = 2.33;

   priceRecord[2].productName = "Bananas";
   priceRecord[2].unitPrice = 0.55;
}

/*******************************************************************************
 End of : PriceTable.C
*******************************************************************************/
