/*******************************************************************************
* Copyright Reticular Systems Inc. 1997    All rights reserved.
* Proprietary Information, Property of Reticular Systems Inc.
* Filename : Purchase.java
*
* RCS: $Revision: 1.1.1.1 $  $Date: 1998/04/10 23:49:03 $  $Author: donohoe $ 
* Created by: Jim Donohoe -- Mon Jan 26 09:52:10 1998
*******************************************************************************/

package com.reticular.agents.buyerSeller;

import java.io.*;

/*******************************************************************************
* Description :  
* 
* 
* @author Jim Donohoe
*******************************************************************************/
public class Purchase implements Serializable, Cloneable
{ 

//PUBLIC DATA

//PRIVATE DATA
   private String _productName;
   private String _unitName;
   private int _quantity;
   private float _unitPrice;
   private float _totalPrice;
   private String _status;

//********************************PUBLIC METHODS********************************


/**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  Purchase( String productName,  int quantity, String unitName, 
                     String status )
   {
      _productName = productName;
      _quantity = quantity;
      _unitName = unitName;
      _status = status;
      _unitPrice = (float) 0.0;
      _totalPrice = (float) 0.0;
   }   


/**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  Purchase( String productName, int quantity, String unitName,  
                     float unitPrice, String status )
   {
      _productName = productName;
      _quantity = quantity;
      _unitName = unitName;
      _unitPrice = unitPrice;
      _totalPrice = (float) 0.0;
      _status = status;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  Purchase( String productName, int quantity, String unitName,  
                     float unitPrice, float totalPrice, String status )
   {
      _productName = productName;
      _quantity = quantity;
      _unitName = unitName;
      _unitPrice = unitPrice;
      _totalPrice = totalPrice;
      _status = status;
   }    


/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getProductName( )
   {
      return _productName;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setProductName( String productName )
   {
      _productName = productName;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getUnitName( )
   {
      return _unitName;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setUnitName( String unitName )
   {
      _unitName = unitName;
   }   


/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getStatus( )
   {
      return _status;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setStatus( String status )
   {
      _status = status;
   }   


/**
  * Description : 
  * 
  *   
  * @param 
  * @return int  
  * @exception 
  * @author Jim Donohoe
  */
   public int getQuantity( )
   {
      return _quantity;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setQuantity( int quantity )
   {
      _quantity = quantity;
   }   
   

/**
  * Description : 
  * 
  *   
  * @param 
  * @return float  
  * @exception 
  * @author Jim Donohoe
  */
   public float getUnitPrice( )
   {
      return _unitPrice;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setUnitPrice( float unitPrice )
   {
      _unitPrice = unitPrice;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return float  
  * @exception 
  * @author Jim Donohoe
  */
   public float getTotalPrice( )
   {
      return _totalPrice;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setTotalPrice( float totalPrice )
   {
      _totalPrice = totalPrice;
   }   



/**
  * Description : 
  * 
  *   
  * @param 
  * @return String
  * @author Jim Donohoe
  */
   public String toString( )
   {
      return "{Product Name = " + _productName + ", Quantity = " +
         Integer.toString( _quantity )+
         " " + _unitName + ", Unit Price = " + 
         Float.toString( _unitPrice ) + ", Total Price = " +
         Float.toString( _totalPrice ) +
         ", Status = " + _status + "}";
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return Object  
  * @exception 
  * @author Jim Donohoe
  */
   public Object clone( )
   {
      return new Purchase( _productName, _quantity, _unitName, _unitPrice,
                           _totalPrice, _status );
   }

   
//********************************PRIVATE METHODS*******************************

}

/*******************************************************************************
 End of : Purchase.java
*******************************************************************************/
